<?php if (!defined('ABSPATH')) {
  die;
} // Cannot access directly.

class PDT_Metaboxes {
    /**
	 * Layout Metabox function.
	 *
	 * @param string $prefix The meta-key for this metabox.
	 * @return void
	 */
	public static function layout_metabox( $prefix ) {
		PDT::createMetabox(
			$prefix,
			array(
				'title'        => esc_html__( 'Productify', 'productify-pro' ),
				'post_type'    => 'productify',
				'show_restore' => false,
				'context'      => 'normal',
			)
		);

		PDT_Layout::section( $prefix );

	}

	/**
	 * Option Metabox function
	 *
	 * @param string $prefix The metabox key.
	 * @return void
	 */
	public static function option_metabox( $prefix ) {
		PDT::createMetabox(
			$prefix,
			array(
				'title'        => esc_html__( 'View Options', 'productify-pro' ),
				'post_type'    => 'productify',
				'show_restore' => false,
				'nav'        => 'inline',
				'theme'        => 'light',
			)
		);

		PDT_FilterPost::section( $prefix );
		PDT_Display::section( $prefix );
		PDT_Carousel::section( $prefix );
		PDT_DetailSettings::section( $prefix );
		PDT_Typography::section( $prefix );
	}
	/**
	 * Shortcode Metabox function
	 *
	 * @param string $prefix The metabox key.
	 * @return void
	 */
	public static function shortcode_metabox( $prefix ) {
		PDT::createMetabox(
			$prefix,
			array(
				'title'        => esc_html__( 'Productify', 'productify-pro' ),
				'post_type'    => 'productify',
				'context'      => 'side',
				'show_restore' => false,
			)
		);

		PDT_Shortcode::section( $prefix );

	}
}