<?php
/**
 * The main class for Settings configurations.
 *
 * @package Productify_pro
 * @subpackage Productify_pro/admin/views
 */

if ( ! defined( 'ABSPATH' ) ) {
	die; } // Cannot access pages directly.

/**
 * Settings.
 */
class PDT_Settings {

	/**
	 * Create a settings page.
	 *
	 * @param string $prefix The settings.
	 * @return void
	 */
	public static function settings( $prefix ) {

		$capability = pdt_dashboard_capability(); // TODO: filter is not working.

		PDT::createOptions(
			$prefix,
			array(
				'menu_title'       => esc_html__( 'Settings', 'productify-pro' ),
				'menu_parent'      => 'edit.php?post_type=productify',
				'menu_type'        => 'submenu', // menu, submenu, options, theme, etc.
				'menu_slug'        => 'pdt_settings',
				'theme'            => 'light',
				'show_all_options' => false,
				'show_search'      => false,
				'show_footer'      => false,
				'show_bar_menu'           => false,
				'class'            => 'ta-pc-settings',
				'framework_title'  => esc_html__( 'Productify', 'productify-pro' ),
				'menu_capability'  => $capability,
			)
		);
		PDT_ScriptsAndStyles::section( $prefix );
		PDT_Accessibility::section( $prefix );
		PDT_CustomCSS::section( $prefix );
	}

}
