<?php if ( ! defined( 'ABSPATH' ) ) {
	die;
} // Cannot access directly.

class PDT_CustomCSS {

	/**
	 * Custom CSS & JS settings.
	 *
	 * @param string $prefix The settings.
	 * @return void
	 */
	public static function section( $prefix ) {
		PDT::createSection(
			$prefix,
			array(
				'title'  => esc_html__( 'Custom CSS & JS', 'productify-pro' ),
				'icon'   => 'fas fa-css3',
				'fields' => array(
					array(
						'id'       => 'pdt_custom_css',
						'type'     => 'code_editor',
						'title'    => esc_html__( 'Custom CSS', 'productify-pro' ),
						'settings' => array(
							'icon'  => 'fas fa-sliders',
							'theme' => 'mbo',
							'mode'  => 'css',
						),
					),
					array(
						'id'       => 'pdt_custom_js',
						'type'     => 'code_editor',
						'title'    => esc_html__( 'Custom JS', 'productify-pro' ),
						'settings' => array(
							'icon'  => 'fas fa-sliders',
							'theme' => 'monokai',
							'mode'  => 'javascript',
						),
					),
				),
			)
		);
	}
}
