<?php

/**
 *  Dynamic CSS
 *
 * @package    Productify_pro
 * @subpackage Productify_pro/public
 */

if (!defined('ABSPATH')) {
	exit;
}

$view_options = get_post_meta($pdt_id, 'ta_pdt_view_options', true);
$layouts      = get_post_meta($pdt_id, 'ta_pdt_layouts', true);
$layout = isset($layouts['pdt_layout_preset']) ? $layouts['pdt_layout_preset'] : '';
$popup_content_color       = isset( $view_options['popup_content_color'] ) ? $view_options['popup_content_color'] : '';
$popup_custom_fields_color = isset( $popup_content_color['custom-fields'] ) ? $popup_content_color['custom-fields'] : '#888';
$product_sorter     = isset($view_options['post_content_sorter']) ? $view_options['post_content_sorter'] : '';

$show_section_title        = isset($view_options['section_title']) ? $view_options['section_title'] : false;
if ($show_section_title) {
	$section_title_margin_top    = isset($view_options['section_title_margin']['top']) && $view_options['section_title_margin']['top'] > 0 ? $view_options['section_title_margin']['top'] . 'px' : 0;
	$section_title_margin_right  = isset($view_options['section_title_margin']['right']) && $view_options['section_title_margin']['right'] > 0 ? $view_options['section_title_margin']['right'] . 'px' : 0;
	$section_title_margin_bottom = isset($view_options['section_title_margin']['bottom']) && $view_options['section_title_margin']['bottom'] > 0 ? $view_options['section_title_margin']['bottom'] . 'px' : 0;
	$section_title_margin_left   = isset($view_options['section_title_margin']['left']) && $view_options['section_title_margin']['left'] > 0 ? $view_options['section_title_margin']['left'] . 'px' : 0;
	$_section_title_typography   = isset($view_options['section_title_typography']) && array_key_exists('font-size', $view_options['section_title_typography']) ? $view_options['section_title_typography'] : array(
		'color'              => '#444',
		'font-family'        => '',
		'font-weight'        => '',
		'subset'             => '',
		'font-size'          => '24',
		'tablet-font-size'   => '15',
		'mobile-font-size'   => '18',
		'line-height'        => '28',
		'tablet-line-height' => '24',
		'mobile-line-height' => '15',
		'letter-spacing'     => '0',
		'text-align'         => 'left',
		'text-transform'     => 'none',
		'type'               => '',
		'unit'               => 'px',
	);
	$section_title_font_weight   = !empty($_section_title_typography['font-weight']) ? $_section_title_typography['font-weight'] : '400';
	$section_title_font_style    = !empty($_section_title_typography['font-style']) ? $_section_title_typography['font-style'] : 'normal';
	$custom_css                 .= "#pdt_wrapper-{$pdt_id} .pdt-section-title{";
	if (!empty($_section_title_typography['font-family'])) {
		$custom_css .= "font-family: {$_section_title_typography['font-family']};font-weight: {$section_title_font_weight};font-style: {$section_title_font_style};";
	}
	$custom_css .= "text-align: {$_section_title_typography['text-align']};text-transform: {$_section_title_typography['text-transform']};font-size: {$_section_title_typography['font-size']}px;line-height: {$_section_title_typography['line-height']}px;letter-spacing: {$_section_title_typography['letter-spacing']}px;color: {$_section_title_typography['color']};margin: {$section_title_margin_top} {$section_title_margin_right} {$section_title_margin_bottom} {$section_title_margin_left}}";
}

$margin_between_post      = isset( $view_options['margin_between_post']['all'] ) ? (int) $view_options['margin_between_post']['all'] : 20;
$margin_between_post_half = $margin_between_post / 2;
$custom_css              .= "#pdt_wrapper-{$pdt_id} .ta-row{ margin-right: -{$margin_between_post_half}px;margin-left: -{$margin_between_post_half}px;}#pdt_wrapper-{$pdt_id} .ta-row [class*='ta-col-']{padding-right: {$margin_between_post_half}px;padding-left: {$margin_between_post_half}px;padding-bottom: {$margin_between_post}px;}";
if ( 'large_with_small' === $layouts['pdt_layout_preset'] ) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .ta-pdt-block-8, #pdt_wrapper-{$pdt_id} .ta-pdt-block-4, #pdt_wrapper-{$pdt_id} .ta-pdt-block-6, #pdt_wrapper-{$pdt_id} .ta-pdt-block-3{padding-right: {$margin_between_post_half}px;padding-left: {$margin_between_post_half}px;}#pdt_wrapper-{$pdt_id} .ta-pdt-block-4 .ta-pdt-block-half,#pdt_wrapper-{$pdt_id} .ta-pdt-block-8,#pdt_wrapper-{$pdt_id} .ta-pdt-block-3 .ta-pdt-block-half,#pdt_wrapper-{$pdt_id} .ta-pdt-block-6{padding-bottom: {$margin_between_post}px;}";
}
/**
 * Style for each slide/post.
 */
// Post Title.
$pdt_product_title  = isset($product_sorter['pdt_product_title']) ? $product_sorter['pdt_product_title'] : '';
$show_post_title = isset($pdt_product_title['show_post_title']) ? $pdt_product_title['show_post_title'] : '';
// PDT Post Content.
$pdt_product_content  = isset($product_sorter['pdt_product_content']) ? $product_sorter['pdt_product_content'] : '';
$show_post_content = isset($pdt_product_content['show_post_content']) ? $pdt_product_content['show_post_content'] : '';


// Post Title.
if ($show_post_title) {
	$product_title_margin = isset($pdt_product_title['post_title_margin']) ? $pdt_product_title['post_title_margin'] : array(
		'top'    => '0',
		'right'  => '0',
		'bottom' => '9',
		'left'   => '0',
	);

	$_post_title_typography = isset($view_options['post_title_typography']) && array_key_exists('font-size', $view_options['post_title_typography']) ? $view_options['post_title_typography'] : array(
		'color'              => '#111',
		'hover_color'        => '#934899',
		'font-family'        => '',
		'font-weight'        => '',
		'subset'             => '',
		'font-size'          => '15',
		'tablet-font-size'   => '18',
		'mobile-font-size'   => '16',
		'line-height'        => '24',
		'tablet-line-height' => '22',
		'mobile-line-height' => '15',
		'letter-spacing'     => '0',
		'text-align'         => 'left',
		'text-transform'     => 'none',
		'type'               => '',
		'unit'               => 'px',
	);
	$product_title_font_weight = !empty($_post_title_typography['font-weight']) ? $_post_title_typography['font-weight'] : '400';
	$product_title_font_style  = !empty($_post_title_typography['font-style']) ? $_post_title_typography['font-style'] : 'normal';
	$custom_css            .= "#pdt_wrapper-{$pdt_id} .productify__item--title a{";
	if (!empty($_post_title_typography['font-family'])) {
		$custom_css .= "font-family: {$_post_title_typography['font-family']};font-weight: {$product_title_font_weight};font-style: {$product_title_font_style};";
	}
	if ('zigzag_layout' !== $layouts['pdt_layout_preset']) {
		$custom_css .= "text-align: {$_post_title_typography['text-align']};";
	}
	$custom_css .= "text-transform: {$_post_title_typography['text-transform']};font-size: {$_post_title_typography['font-size']}px;line-height: {$_post_title_typography['line-height']}px;letter-spacing: {$_post_title_typography['letter-spacing']}px;color: {$_post_title_typography['color']};display: inherit;}#pdt_wrapper-{$pdt_id} .productify__item--title {margin: {$product_title_margin['top']}px {$product_title_margin['right']}px {$product_title_margin['bottom']}px {$product_title_margin['left']}px;}#pdt_wrapper-{$pdt_id} .pdt-collapse-header a{display: inline-block;}";
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--title a:hover,#pdt_wrapper-{$pdt_id} .pdt-collapse-header:hover a{color: {$_post_title_typography['hover_color']};}";
}

// Post Content.
if ($show_post_content) {
	$product_content_margin      = isset($pdt_product_content['post_content_margin']) ? $pdt_product_content['post_content_margin'] : array(
		'top'    => '0',
		'right'  => '0',
		'bottom' => '15',
		'left'   => '0',
	);
	$_post_content_typography = isset($view_options['post_content_typography']) && array_key_exists('font-size', $view_options['post_content_typography']) ? $view_options['post_content_typography'] : array(
		'color'              => '#444',
		'font-family'        => '',
		'font-weight'        => '',
		'subset'             => '',
		'font-size'          => '16',
		'tablet-font-size'   => '16',
		'mobile-font-size'   => '12',
		'line-height'        => '20',
		'tablet-line-height' => '18',
		'mobile-line-height' => '18',
		'letter-spacing'     => '0',
		'text-align'         => 'left',
		'text-transform'     => 'none',
		'type'               => '',
		'unit'               => 'px',
	);
	$product_content_font_weight = !empty($_post_content_typography['font-weight']) ? $_post_content_typography['font-weight'] : '400';
	$product_content_font_style  = !empty($_post_content_typography['font-style']) ? $_post_content_typography['font-style'] : 'normal';
	$custom_css              .= "#pdt_wrapper-{$pdt_id} .productify__item__content{";
	if (!empty($_post_content_typography['font-family'])) {
		$custom_css .= "font-family: {$_post_content_typography['font-family']};font-weight: {$product_content_font_weight};font-style: {$product_content_font_style};";
	}
	if ('zigzag_layout' !== $layouts['pdt_layout_preset']) {
		$custom_css .= "text-align: {$_post_content_typography['text-align']};";
	}
	$custom_css .= "text-transform: {$_post_content_typography['text-transform']};font-size: {$_post_content_typography['font-size']}px;line-height: {$_post_content_typography['line-height']}px;letter-spacing: {$_post_content_typography['letter-spacing']}px;margin: {$product_content_margin['top']}px {$product_content_margin['right']}px {$product_content_margin['bottom']}px {$product_content_margin['left']}px;color: {$_post_content_typography['color']}; }";
}

if ('carousel_layout' === $layout) {
	include PDT_PATH . '/public/dynamic-css/carousel-css.php';
}

// Post inner padding.
$product_content_orientation   = $view_options['post_content_orientation'];
$product_details_class         = 'overlay-box' === $product_content_orientation ? '.ta-pdt-post-details' : '';
$product_details_content_class = 'overlay-box' === $product_content_orientation ? '.ta-pdt-post-details-content' : '';
if ('overlay' !== $product_content_orientation) {
	$_post_inner_padding       = PDT_Functions::pdt_metabox_value('post_inner_padding_property', $view_options);
	$product_inner_padding_unit   = $_post_inner_padding['unit'];
	$product_inner_padding_top    = $_post_inner_padding['top'] > 0 ? $_post_inner_padding['top'] . $product_inner_padding_unit : '0';
	$product_inner_padding_right  = $_post_inner_padding['right'] > 0 ? $_post_inner_padding['right'] . $product_inner_padding_unit : '0';
	$product_inner_padding_bottom = $_post_inner_padding['bottom'] > 0 ? $_post_inner_padding['bottom'] . $product_inner_padding_unit : '0';
	$product_inner_padding_left   = $_post_inner_padding['left'] > 0 ? $_post_inner_padding['left'] . $product_inner_padding_unit : '0';
	$custom_css               .= "#pdt_wrapper-{$pdt_id} .productify__item {padding: {$product_inner_padding_top} {$product_inner_padding_right} {$product_inner_padding_bottom} {$product_inner_padding_left};}";
}

// Post border.
$_post_border      = $view_options['post_border'];
$product_border_width = (int) $_post_border['all'];
$product_border_style = $_post_border['style'];
$product_border_color = $_post_border['color'];
if ('none' !== $product_border_style) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item {border: {$product_border_width}px {$product_border_style} {$product_border_color};}";
}

// Post box shadow.
$show_post_box_shadow = PDT_Functions::pdt_metabox_value( 'show_post_box_shadow', $view_options, false );
if ( $show_post_box_shadow ) {
	$product_box_shadow_property = PDT_Functions::pdt_metabox_value(
		'post_box_shadow_property',
		$view_options,
		array(
			'horizontal' => '0',
			'vertical'   => '0',
			'blur'       => '8',
			'spread'     => '0',
			'color'      => 'rgb(187, 187, 187)',
		)
	);
	$box_shadow_h             = PDT_Functions::pdt_metabox_value( 'horizontal', $product_box_shadow_property );
	$box_shadow_v             = PDT_Functions::pdt_metabox_value( 'vertical', $product_box_shadow_property );
	$box_shadow_blur          = PDT_Functions::pdt_metabox_value( 'blur', $product_box_shadow_property );
	$box_shadow_spread        = PDT_Functions::pdt_metabox_value( 'spread', $product_box_shadow_property );
	$box_shadow_color         = PDT_Functions::pdt_metabox_value( 'color', $product_box_shadow_property );
	$box_shadow_style         = 'outset' === $product_box_shadow_property['style'] ? '' : $product_box_shadow_property['style'];
	$box_shadow_margin_top    = 'inset' === $box_shadow_style ? '0' : ( $box_shadow_spread - $box_shadow_v + 0.5 * $box_shadow_blur );
	$box_shadow_margin_right  = 'inset' === $box_shadow_style ? '0' : ( $box_shadow_spread + $box_shadow_h + 0.5 * $box_shadow_blur );
	$box_shadow_margin_bottom = 'inset' === $box_shadow_style ? '0' : ( $box_shadow_spread + $box_shadow_v + 0.5 * $box_shadow_blur );
	$box_shadow_margin_left   = 'inset' === $box_shadow_style ? '0' : ( $box_shadow_spread - $box_shadow_h + 0.5 * $box_shadow_blur );
	$custom_css              .= "#pdt_wrapper-{$pdt_id} .productify__item {$product_details_class} {$product_details_content_class}{box-shadow: {$box_shadow_h}px {$box_shadow_v}px {$box_shadow_blur}px {$box_shadow_spread}px {$box_shadow_color} {$box_shadow_style};margin: {$box_shadow_margin_top}px {$box_shadow_margin_right}px {$box_shadow_margin_bottom}px {$box_shadow_margin_left}px;}";
}

// Post background color.
$product_background_property = PDT_Functions::pdt_metabox_value('post_background_property', $view_options);
$product_background_overlay = PDT_Functions::pdt_metabox_value('post_background_overlay', $view_options);
$product_background_blur = PDT_Functions::pdt_metabox_value('post_background_blur', $view_options);

$_post_border_radius         = PDT_Functions::pdt_metabox_value(
	'post_border_radius_property',
	$view_options,
	array(
		'all' => '0',
	)
);
$product_border_radius_unit     = PDT_Functions::pdt_metabox_value('unit', $_post_border_radius);
$product_border_radius_length   = PDT_Functions::pdt_metabox_value('all', $_post_border_radius);
$product_border_radius_property = $product_border_radius_length > 0 ? $product_border_radius_length . $product_border_radius_unit : '0';
$custom_css              .= "#pdt_wrapper-{$pdt_id} .productify__item {border-radius: {$product_border_radius_property};}";
if (!in_array($product_content_orientation, array('overlay', 'overlay-box'), true)) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item {background-color: {$product_background_property};}";
}

if (in_array($product_content_orientation, array('overlay'), true)) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item.ta-overlay::after, .productify__item.ta-overlay.content_on_hover .productify__item__details {background-color: {$product_background_overlay}; opacity: 0.$product_background_blur;}";
}

/**
 * Post Thumbnail CSS.
 */
$product_thumb_css           = $product_sorter['pdt_product_thumb'];
$product_thumb_margin        = isset($product_thumb_css['post_thumb_margin']) ? $product_thumb_css['post_thumb_margin'] : array(
	'top'    => '40',
	'right'  => '0',
	'bottom' => '11',
	'left'   => '0',
);
$product_thumb_border_radius = isset($product_thumb_css['post_thumb_border_radius']) ? $product_thumb_css['post_thumb_border_radius'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '0',
	'left'   => '0',
	'unit'   => 'px',
);
$product_thumb_border_radius_top = $product_thumb_border_radius['top'].$product_thumb_border_radius['unit'];
$product_thumb_border_radius_left = $product_thumb_border_radius['left'].$product_thumb_border_radius['unit'];
$product_thumb_border_radius_bottom = $product_thumb_border_radius['bottom'].$product_thumb_border_radius['unit'];
$product_thumb_border_radius_right = $product_thumb_border_radius['right'].$product_thumb_border_radius['unit'];
// Post thumb border radius.
$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item .productify__item--thumbnail img{border-radius: {$product_thumb_border_radius_top} {$product_thumb_border_radius_right} {$product_thumb_border_radius_bottom} {$product_thumb_border_radius_left};} #pdt_wrapper-{$pdt_id} .productify__item .productify__item--thumbnail{margin: {$product_thumb_margin['top']}px {$product_thumb_margin['right']}px {$product_thumb_margin['bottom']}px {$product_thumb_margin['left']}px;}#pdt_wrapper-{$pdt_id} .ta-overlay.productify__item .productify__item--thumbnail,#pdt_wrapper-{$pdt_id} .left-thumb.productify__item .productify__item--thumbnail,#pdt_wrapper-{$pdt_id} .right-thumb.productify__item .productify__item--thumbnail,#pdt_wrapper-{$pdt_id} .ta-pdt-content-box.productify__item .productify__item--thumbnail{margin: 0;}";

// Border for Post thumb.
$product_thumb_border = isset($product_thumb_css['pdt_thumb_border']) ? $product_thumb_css['pdt_thumb_border'] : array(
	'all'   => '0',
	'style' => 'solid',
	'color' => '#dddddd',
);
if (0 !== $product_thumb_border['all'] && 'none' !== $product_thumb_border['style']) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--thumbnail{border: {$product_thumb_border['all']}px {$product_thumb_border['style']} {$product_thumb_border['color']};}";
}

// Grayscale effect.
$product_thumb_gray_scale = isset($product_thumb_css['post_thumb_gray_scale']) ? $product_thumb_css['post_thumb_gray_scale'] : 'none';

if ('gray_and_normal' === $product_thumb_gray_scale) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--thumbnail img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}#pdt_wrapper-{$pdt_id} .productify__item:hover .productify__item--thumbnail img{-webkit-filter: grayscale(0);filter: grayscale(0);}";
} elseif ('gray_on_hover' === $product_thumb_gray_scale) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--thumbnail img{-webkit-filter: grayscale(0);filter: grayscale(0);}#pdt_wrapper-{$pdt_id} .productify__item:hover .productify__item--thumbnail img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}";
} elseif ('always_gray' === $product_thumb_gray_scale) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--thumbnail img,#pdt_wrapper-{$pdt_id} .productify__item:hover .productify__item--thumbnail img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}";
}
// Zoom effect.
$product_thumb_zoom = isset($product_thumb_css['post_thumb_zoom']) ? $product_thumb_css['post_thumb_zoom'] : 'none';
if ('zoom_in' === $product_thumb_zoom) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--thumbnail:hover img{transform: scale(1.08);}";
} elseif ('zoom_out' === $product_thumb_zoom) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--thumbnail img{transform: scale(1.08);}
		#pdt_wrapper-{$pdt_id} .productify__item--thumbnail:hover img{transform: scale(1.0);}";
}

// Custom Fields.
$_custom_fields_typography = isset( $view_options['custom_fields_typography'] ) && array_key_exists( 'font-size', $view_options['custom_fields_typography'] ) ? $view_options['custom_fields_typography'] : array(
	'color'              => '#888',
	'font-family'        => '',
	'font-weight'        => '',
	'subset'             => '',
	'font-size'          => '16',
	'tablet-font-size'   => '16',
	'mobile-font-size'   => '12',
	'line-height'        => '18',
	'tablet-line-height' => '18',
	'mobile-line-height' => '16',
	'letter-spacing'     => '0',
	'text-align'         => 'left',
	'text-transform'     => 'none',
	'type'               => '',
	'unit'               => 'px',
);
$custom_fields_font_weight = ! empty( $_custom_fields_typography['font-weight'] ) ? $_custom_fields_typography['font-weight'] : '400';
$custom_fields_font_style  = ! empty( $_custom_fields_typography['font-style'] ) ? $_custom_fields_typography['font-style'] : 'normal';
$pdt_custom_fields_margin  = isset( $product_sorter['pdt_custom_fields']['pdt_custom_fields_margin'] ) ? $product_sorter['pdt_custom_fields']['pdt_custom_fields_margin'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '15',
	'left'   => '0',
);
$custom_css               .= ".pdt-wrapper-{$pdt_id} .ta_pdt_cf_list{";
if ( ! empty( $_custom_fields_typography['font-family'] ) ) {
	$custom_css .= "font-family: {$_custom_fields_typography['font-family']};font-weight: {$custom_fields_font_weight};font-style: {$custom_fields_font_style};";
}
if ( 'zigzag_layout' !== $layouts['pdt_layout_preset'] ) {
	$custom_css .= "text-align: {$_custom_fields_typography['text-align']};";
}
$custom_css .= "text-transform: {$_custom_fields_typography['text-transform']};font-size: {$_custom_fields_typography['font-size']}px;line-height: {$_custom_fields_typography['line-height']}px;letter-spacing: {$_custom_fields_typography['letter-spacing']}px;color: {$_custom_fields_typography['color']};margin: {$pdt_custom_fields_margin['top']}px {$pdt_custom_fields_margin['right']}px {$pdt_custom_fields_margin['bottom']}px {$pdt_custom_fields_margin['left']}px;}.pdt-popup-{$pdt_id} .ta_pdt_cf_list{color: {$popup_custom_fields_color};}";


// Post Meta.
$_post_meta_typography    = isset($view_options['post_meta_typography']) && array_key_exists('font-size', $view_options['post_meta_typography']) ? $view_options['post_meta_typography'] : array(
	'color'              => '#888',
	'hover_color'        => '#934899',
	'font-family'        => '',
	'font-weight'        => '',
	'subset'             => '',
	'font-size'          => '16',
	'tablet-font-size'   => '16',
	'mobile-font-size'   => '12',
	'line-height'        => '16',
	'tablet-line-height' => '16',
	'mobile-line-height' => '16',
	'letter-spacing'     => '0',
	'text-align'         => 'left',
	'text-transform'     => 'none',
	'type'               => '',
	'unit'               => 'px',
);
$product_meta_font_weight    = !empty($_post_meta_typography['font-weight']) ? $_post_meta_typography['font-weight'] : '400';
$product_meta_font_style     = !empty($_post_meta_typography['font-style']) ? $_post_meta_typography['font-style'] : 'normal';
$pdt_product_meta            = ! empty( $product_sorter['pdt_product_meta'] ) ? $product_sorter['pdt_product_meta'] : '';
$product_meta_margin         = isset($pdt_product_meta['post_meta_margin']) ? $pdt_product_meta['post_meta_margin'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '9',
	'left'   => '0',
);
$product_meta_between_margin = isset($pdt_product_meta['post_meta_between_margin']) ? $pdt_product_meta['post_meta_between_margin'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '0',
	'left'   => '0',
);
$custom_css              .= "#pdt_wrapper-{$pdt_id} .productify__item .pdt-category a,#pdt_wrapper-{$pdt_id}  .productify__item .productify__item--meta ul li{
	margin: {$product_meta_between_margin['top']}px {$product_meta_between_margin['right']}px {$product_meta_between_margin['bottom']}px {$product_meta_between_margin['left']}px;
}";
$meta_separator_color = isset($pdt_product_meta['meta_separator_color']) ? $pdt_product_meta['meta_separator_color'] : "";
$custom_css              .= "#pdt_wrapper-{$pdt_id} .productify__item .meta_separator{
	color: {$meta_separator_color};
}";
$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--meta li,#pdt_wrapper-{$pdt_id} td.productify__item--meta,#pdt_wrapper-{$pdt_id} .productify__item--meta ul,#pdt_wrapper-{$pdt_id} .productify__item--meta li a{";
if (!empty($_post_meta_typography['font-family'])) {
	$custom_css .= "font-family: {$_post_meta_typography['font-family']};font-weight: {$product_meta_font_weight};font-style: {$product_meta_font_style};";
}

$custom_css .= "text-transform: {$_post_meta_typography['text-transform']};font-size: {$_post_meta_typography['font-size']}px;line-height: {$_post_meta_typography['line-height']}px;letter-spacing: {$_post_meta_typography['letter-spacing']}px;color: {$_post_meta_typography['color']};}#pdt_wrapper-{$pdt_id} .productify__item--meta{margin: {$product_meta_margin['top']}px {$product_meta_margin['right']}px {$product_meta_margin['bottom']}px {$product_meta_margin['left']}px;";
if ('zigzag_layout' !== $layouts['pdt_layout_preset']) {
	$custom_css .= "text-align: {$_post_meta_typography['text-align']};";
}
$custom_css .= '}';
$product_meta_alignment = isset( $pdt_product_meta['post_meta_alignment'] ) ? $pdt_product_meta['post_meta_alignment'] : '';
$custom_css         .= "#pdt_wrapper-{$pdt_id} .productify__item--meta ul{justify-content:{$product_meta_alignment}}";

$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--meta li a:hover{color: {$_post_meta_typography['hover_color']};}";

// Product Price
$_price_typography    = isset($view_options['price_typography']) && array_key_exists('font-size', $view_options['price_typography']) ? $view_options['price_typography'] : array(
	'color'              => '#888',
	'hover_color'        => '#934899',
	'font-family'        => '',
	'font-weight'        => '',
	'subset'             => '',
	'font-size'          => '16',
	'tablet-font-size'   => '16',
	'mobile-font-size'   => '12',
	'line-height'        => '16',
	'tablet-line-height' => '16',
	'mobile-line-height' => '16',
	'letter-spacing'     => '0',
	'text-align'         => 'left',
	'text-transform'     => 'none',
	'type'               => '',
	'unit'               => 'px',
);
$product_price_font_weight    = !empty($_price_typography['font-weight']) ? $_price_typography['font-weight'] : '400';
$product_price_font_style     = !empty($_price_typography['font-style']) ? $_price_typography['font-style'] : 'normal';
$product_price_settings       = isset( $product_sorter['pdt_product_price'] ) ? $product_sorter['pdt_product_price'] : '';
$product_price_margin         = isset( $product_price_settings['product_fildes_margin'] ) ? $product_price_settings['product_fildes_margin'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '15',
	'left'   => '0',
);
$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item__price li,#pdt_wrapper-{$pdt_id} td.productify__item__price,#pdt_wrapper-{$pdt_id} .productify__item__price ul,#pdt_wrapper-{$pdt_id} .productify__item__price{";
	if (!empty($_price_typography['font-family'])) {
		$custom_css .= "font-family: {$_price_typography['font-family']};font-weight: {$product_price_font_weight};font-style: {$product_price_font_style};";
	}
	
	$custom_css .= "text-transform: {$_price_typography['text-transform']};font-size: {$_price_typography['font-size']}px;line-height: {$_price_typography['line-height']}px;letter-spacing: {$_price_typography['letter-spacing']}px;color: {$_price_typography['color']};}#pdt_wrapper-{$pdt_id} .productify__item__price{margin: {$product_price_margin['top']}px {$product_price_margin['right']}px {$product_price_margin['bottom']}px {$product_price_margin['left']}px;";
	if ('zigzag_layout' !== $layouts['pdt_layout_preset']) {
		$custom_css .= "text-align: {$_price_typography['text-align']};";
	}
	$custom_css .= '}';

// Post Pill Meta Color. ( button style meta ).
$product_meta_group = isset($pdt_product_meta['pdt_product_meta_group']) ? $pdt_product_meta['pdt_product_meta_group'] : '';
$title_above     = 1;
$over_thumb      = 1;
$show_post_meta  = isset($pdt_product_meta['show_post_meta']) ? $pdt_product_meta['show_post_meta'] : true;

if (is_array($product_meta_group) && $show_post_meta) {
	foreach ($product_meta_group as $key => $product_meta) {
		$selected_meta      = $product_meta['select_post_meta'];
		$meta_position      = isset($product_meta['pdt_meta_position']) ? $product_meta['pdt_meta_position'] : '';
		$meta_pill_color    = isset($product_meta['pdt_meta_pill_color']) ? $product_meta['pdt_meta_pill_color'] : array(
			'text' => '#fff',
			'bg'   => '#674399',
		);
		$pdt_taxonomy       = isset($product_meta['post_meta_taxonomy']) ? $product_meta['post_meta_taxonomy'] : '';
		$pdt_taxonomy_class = !empty($pdt_taxonomy) ? ".{$pdt_taxonomy}" : '';
		$text_color         = $meta_pill_color['text'];
		$bg                 = $meta_pill_color['bg'];
		if ('taxonomy' === $selected_meta) {
			if ('over_thumb' === $meta_position) {
				$meta_over_thumb_position = isset($product_meta['pdt_meta_over_thump_position']) ? $product_meta['pdt_meta_over_thump_position'] : 'top_left';
				$custom_css              .= "#pdt_wrapper-{$pdt_id} .productify__item-thumb-area {$pdt_taxonomy_class}.pdt-category.{$meta_over_thumb_position} a {color: {$text_color}; background: {$bg};";
				if (!empty($_post_meta_typography['font-family'])) {
					$custom_css .= "font-family: {$_post_meta_typography['font-family']};font-weight: {$product_meta_font_weight};font-style: {$product_meta_font_style};";
				}
				$custom_css .= "text-transform: {$_post_meta_typography['text-transform']};font-size: {$_post_meta_typography['font-size']}px;line-height: {$_post_meta_typography['line-height']}px;letter-spacing: {$_post_meta_typography['letter-spacing']}px;
			}";
				++$over_thumb;
			}
			if ('above_title' === $meta_position) {
				$custom_css .= "#pdt_wrapper-{$pdt_id} {$pdt_taxonomy_class}.pdt-category.above_title{
					text-align: {$_post_meta_typography['text-align']};
				}#pdt_wrapper-{$pdt_id} {$pdt_taxonomy_class}.pdt-category.above_title a{ color: {$text_color}; background: {$bg};";
				if (!empty($_post_meta_typography['font-family'])) {
					$custom_css .= "font-family: {$_post_meta_typography['font-family']};font-weight: {$product_meta_font_weight};font-style: {$product_meta_font_style};";
				}
				$custom_css .= "text-transform: {$_post_meta_typography['text-transform']};font-size: {$_post_meta_typography['font-size']}px;line-height: {$_post_meta_typography['line-height']}px;letter-spacing: {$_post_meta_typography['letter-spacing']}px;
			}";
				++$title_above;
			}
		}
	}
}
if (!empty($_post_meta_typography['font-family'])) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item-thumb-area .pdt-category a{font-family: {$_post_meta_typography['font-family']};}";
}

// Post Pill Meta Color. ( button style meta ).
$event_fildes_group = isset($product_sorter['pdt_event_fildes']['pdt_event_fildes_group']) ? $product_sorter['pdt_event_fildes']['pdt_event_fildes_group'] : '';
$title_above     = 1;
$over_thumb      = 1;
$show_event_fildes  = isset($product_sorter['pdt_event_fildes']['show_event_fildes']) ? $product_sorter['pdt_event_fildes']['show_event_fildes'] : true;

if (is_array($event_fildes_group) && $show_event_fildes) {
	foreach ($event_fildes_group as $key => $event_fildes) {
		$selected_meta      = $event_fildes['select_event_fildes'];
		$meta_position      = isset($event_fildes['pdt_meta_position']) ? $event_fildes['pdt_meta_position'] : '';
		$meta_pill_color    = isset($event_fildes['pdt_meta_pill_color']) ? $event_fildes['pdt_meta_pill_color'] : array(
			'text' => '#fff',
			'bg'   => '#674399',
		);
		$pdt_taxonomy       = isset($event_fildes['event_fildes_taxonomy']) ? $event_fildes['event_fildes_taxonomy'] : '';
		$pdt_taxonomy_class = !empty($pdt_taxonomy) ? ".{$pdt_taxonomy}" : '';
		$text_color         = $meta_pill_color['text'];
		$bg                 = $meta_pill_color['bg'];
		if ('taxonomy' === $selected_meta) {
			if ('over_thumb' === $meta_position) {
				$meta_over_thumb_position = isset($event_fildes['pdt_meta_over_thump_position']) ? $event_fildes['pdt_meta_over_thump_position'] : 'top_left';
				$custom_css              .= "#pdt_wrapper-{$pdt_id} .productify__item-thumb-area {$pdt_taxonomy_class}.pdt-category.{$meta_over_thumb_position} a {color: {$text_color}; background: {$bg};";
				if (!empty($_event_fildes_typography['font-family'])) {
					$custom_css .= "font-family: {$_event_fildes_typography['font-family']};font-weight: {$event_fildes_font_weight};font-style: {$event_fildes_font_style};";
				}
				$custom_css .= "text-transform: {$_event_fildes_typography['text-transform']};font-size: {$_event_fildes_typography['font-size']}px;line-height: {$_event_fildes_typography['line-height']}px;letter-spacing: {$_event_fildes_typography['letter-spacing']}px;
			}";
				++$over_thumb;
			}
			if ('above_title' === $meta_position) {
				$custom_css .= "#pdt_wrapper-{$pdt_id} {$pdt_taxonomy_class}.pdt-category.above_title{
					text-align: {$_event_fildes_typography['text-align']};
				}#pdt_wrapper-{$pdt_id} {$pdt_taxonomy_class}.pdt-category.above_title a{ color: {$text_color}; background: {$bg};";
				if (!empty($_event_fildes_typography['font-family'])) {
					$custom_css .= "font-family: {$_event_fildes_typography['font-family']};font-weight: {$event_fildes_font_weight};font-style: {$event_fildes_font_style};";
				}
				$custom_css .= "text-transform: {$_event_fildes_typography['text-transform']};font-size: {$_event_fildes_typography['font-size']}px;line-height: {$_event_fildes_typography['line-height']}px;letter-spacing: {$_event_fildes_typography['letter-spacing']}px;
			}";
				++$title_above;
			}
		}
	}
}
if (!empty($_event_fildes_typography['font-family'])) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item-thumb-area .pdt-category a{font-family: {$_event_fildes_typography['font-family']};}";
}

// Post Button Settings.
$product_content_settings = isset($product_sorter['pdt_product_content_button']) ? $product_sorter['pdt_product_content_button'] : '';

$button_margin      = isset($product_content_settings['button_margin']) ? $product_content_settings['button_margin'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '15',
	'left'   => '0',
);
$button_padding      = isset($product_content_settings['button_padding']) ? $product_content_settings['button_padding'] : array(
	'top'    => '6',
	'right'  => '20',
	'bottom' => '6',
	'left'   => '20',
);
$show_button        = isset($product_content_settings['show_button']) ? $product_content_settings['show_button'] : true;
if ($show_button) {
	$_button_typography = isset($view_options['button_typography']) && array_key_exists('font-size', $view_options['button_typography']) ? $view_options['button_typography'] : array(
		'font-family'        => '',
		'font-weight'        => '600',
		'subset'             => '',
		'font-size'          => '12',
		'tablet-font-size'   => '12',
		'mobile-font-size'   => '10',
		'line-height'        => '18',
		'tablet-line-height' => '18',
		'mobile-line-height' => '16',
		'letter-spacing'     => '0',
		'text-align'         => 'left',
		'text-transform'     => 'uppercase',
		'type'               => '',
		'unit'               => 'px',
	);

	$button_font_weight = !empty($_button_typography['font-weight']) ? $_button_typography['font-weight'] : '400';
	$button_font_style  = !empty($_button_typography['font-style']) ? $_button_typography['font-style'] : 'normal';
	$button_type        = isset($product_content_settings['button_type']) ? $product_content_settings['button_type'] : 'button';
	$custom_css           .= "#pdt_wrapper-{$pdt_id} .productify__item_button{";
	if (!empty($_button_typography['font-family'])) {
		$custom_css .= "font-family: {$_button_typography['font-family']}; font-weight: {$button_font_weight}; font-style: {$button_font_style};";
	}
	$custom_css .= "text-transform: {$_button_typography['text-transform']}; font-size: {$_button_typography['font-size']}px; line-height: {$_button_typography['line-height']}px; letter-spacing: {$_button_typography['letter-spacing']}px; }";
	if ( 'zigzag_layout' !== $layouts['pdt_layout_preset'] ) {
		$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item__content__readmore{ text-align: {$_button_typography['text-align']}; }";
		$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item_button{ text-align: {$_button_typography['text-align']}; }";
	}
	if ('text_link' != $button_type) {
		$_button_color  = isset($product_content_settings['button_color_button']) ? $product_content_settings['button_color_button'] : array(
			'standard'     => '#111',
			'hover'        => '#fff',
			'bg'           => 'transparent',
			'hover_bg'     => '#934899',
			'border'       => '#888',
			'hover_border' => '#934899',
		);
		$_border = isset($product_content_settings['button_border']) ? $product_content_settings['button_border'] : array(
			'all'  => '0',
			'style' => 'px',
		);
		$_border_radius = isset($product_content_settings['button_button_radius']) ? $product_content_settings['button_button_radius'] : array(
			'all'  => '0',
			'unit' => 'px',
		);
		$custom_css    .= "#pdt_wrapper-{$pdt_id} .productify__item__btn, #pdt_wrapper-{$pdt_id} .productify__item__button a, #pdt_wrapper-{$pdt_id} .productify__item .productify__item_button a.added_to_cart:not(.sp-wqvpro-view-button):not(.sp-wqv-view-button),#pdt_wrapper-{$pdt_id} .productify__item .productify__item_button a.button:not(.sp-wqvpro-view-button):not(.sp-wqv-view-button){ background: {$_button_color['bg']}; color: {$_button_color['standard']}; border: {$_border['all']}px; border-style:{$_border['style']}; border-color: {$_button_color['border']}; border-radius: {$_border_radius['all']}{$_border_radius['unit']}; margin: {$button_margin['top']}px {$button_margin['right']}px {$button_margin['bottom']}px {$button_margin['left']}px; padding: {$button_padding['top']}px {$button_padding['right']}px {$button_padding['bottom']}px {$button_padding['left']}px; } #pdt_wrapper-{$pdt_id} .productify__item__btn:hover, #pdt_wrapper-{$pdt_id} .productify__item__button a:hover, #pdt_wrapper-{$pdt_id} .productify__item .productify__item_button a.added_to_cart:not(.sp-wqvpro-view-button):not(.sp-wqv-view-button),#pdt_wrapper-{$pdt_id} .productify__item .productify__item_button a.button:not(.sp-wqvpro-view-button):not(.sp-wqv-view-button):hover { background: {$_button_color['hover_bg']}; color: {$_button_color['hover']}; border-color: {$_button_color['hover_border']};  }";
	} else {
		$readmore_text_color = $product_content_settings['button_color_text'];
		$custom_css         .= "#pdt_wrapper-{$pdt_id} .productify__item__btn #pdt_wrapper-{$pdt_id} .productify__item__button a{ color: {$readmore_text_color['standard']}; } #pdt_wrapper-{$pdt_id} .productify__item__btn #pdt_wrapper-{$pdt_id} .productify__item__button a:hover{ color: {$readmore_text_color['hover']};margin: {$button_margin['top']}px {$button_margin['right']}px {$button_margin['bottom']}px {$button_margin['left']}px;color: {$_post_content_typography['color']};padding: {$button_padding['top']}px {$button_padding['right']}px {$button_padding['bottom']}px {$button_padding['left']}px; }; ";
	}
}
// Post Thumb Archive Settings.
$pdt_product_thumb = isset($product_sorter['pdt_product_thumb']) ? $product_sorter['pdt_product_thumb'] : '';
$product_thumb_show = isset($pdt_product_thumb['post_thumb_show']) ? $pdt_product_thumb['post_thumb_show'] : '';
$product_thumb_meta = isset($pdt_product_thumb['post_thumb_meta']) ? $pdt_product_thumb['post_thumb_meta'] : '';

if ($product_thumb_show && $product_thumb_meta != 'none') {
	$_thumb_archive_typography = isset($view_options['thumb_archive_typography']) && array_key_exists('font-size', $view_options['thumb_archive_typography']) ? $view_options['thumb_archive_typography'] : array(
		'font-family'        => '',
		'font-weight'        => '600',
		'subset'             => '',
		'font-size'          => '12',
		'tablet-font-size'   => '12',
		'mobile-font-size'   => '10',
		'line-height'        => '18',
		'tablet-line-height' => '18',
		'mobile-line-height' => '16',
		'letter-spacing'     => '0',
		'text-align'         => 'left',
		'text-transform'     => 'uppercase',
		'type'               => '',
		'unit'               => 'px',
	);

	$product_thumb_font_weight = !empty($_thumb_archive_typography['font-weight']) ? $_thumb_archive_typography['font-weight'] : '400';
	$product_thumb_font_style  = !empty($_thumb_archive_typography['font-style']) ? $_thumb_archive_typography['font-style'] : 'normal';
	$product_thumb_type        = isset($product_content_settings['post_thumb_type']) ? $product_content_settings['post_thumb_type'] : 'button';
	$custom_css           .= "#pdt_wrapper-{$pdt_id} .productify__item--archive li{";
	if (!empty($_thumb_archive_typography['font-family'])) {
		$custom_css .= "font-family: {$_thumb_archive_typography['font-family']}; font-weight: {$product_thumb_font_weight}; font-style: {$product_thumb_font_style};";
	}
	$custom_css .= "text-transform: {$_thumb_archive_typography['text-transform']}; font-size: {$_thumb_archive_typography['font-size']}px; line-height: {$_thumb_archive_typography['line-height']}px; letter-spacing: {$_thumb_archive_typography['letter-spacing']}px; }";
 	if ('button' === $product_thumb_type) {
		$_post_thumb_button  = isset($pdt_product_thumb['post_thumb_meta_button']) ? $pdt_product_thumb['post_thumb_meta_button'] : array(
			'standard'     => '#111',
			'hover'        => '#fff',
			'bg'           => 'transparent',
			'hover_bg'     => '#934899',
			'border'       => '#888',
			'hover_border' => '#934899',
		);
		$_border_radius = isset($product_content_settings['button_button_radius']) ? $product_content_settings['button_button_radius'] : array(
			'all'  => '0',
			'unit' => 'px',
		);
		$custom_css    .= "#pdt_wrapper-{$pdt_id} .productify__item--archive li{ background: {$_post_thumb_button['bg']}; color: {$_post_thumb_button['standard']}; border-color: {$_post_thumb_button['border']}; border-radius: {$_border_radius['all']}{$_border_radius['unit']}; } #pdt_wrapper-{$pdt_id} .productify__item--archive li:hover { background: {$_post_thumb_button['hover_bg']}; color: {$_post_thumb_button['hover']}; border-color: {$_post_thumb_button['hover_border']}; }";
	} else {
		$readmore_text_color = $product_content_settings['button_color_text'];
		$custom_css         .= "#pdt_wrapper-{$pdt_id} .productify__item--archive li{ color: {$readmore_text_color['standard']}; } #pdt_wrapper-{$pdt_id} .productify__item--archive li:hover{ color: {$readmore_text_color['hover']}; } ";
	}
}

// Pagination CSS and Live filter CSS.
$show_pagination = isset($view_options['show_post_pagination']) ? $view_options['show_post_pagination'] : false;
if ($show_pagination) {
	$pagination_btn_color   = isset($view_options['pdt_pagination_btn_color']) ? $view_options['pdt_pagination_btn_color'] : array(
		'text_color'        => '#5e5e5e',
		'text_acolor'       => '#ffffff',
		'border_color'      => '#bbbbbb',
		'border_acolor'     => '#934899',
		'background'        => '#ffffff',
		'active_background' => '#934899',
	);
	$pdt_loadmore_btn_color = isset($view_options['pdt_loadmore_btn_color']) ? $view_options['pdt_loadmore_btn_color'] : array(
		'text_color'        => '#ffffff',
		'text_hcolor'       => '#5e5e5e',
		'background'        => '#934899',
		'active_background' => '#ffffff',
	);
	$pagination_alignment   = isset($view_options['pagination_alignment']) ? $view_options['pagination_alignment'] : 'left';
	$custom_css            .= "#pdt_wrapper-{$pdt_id} .pdt-post-pagination .page-numbers.current, #pdt_wrapper-{$pdt_id} .pdt-post-pagination a.active , #pdt_wrapper-{$pdt_id} .pdt-post-pagination a:hover{ color: {$pagination_btn_color['text_acolor']}; background: {$pagination_btn_color['active_background']}; border-color: {$pagination_btn_color['border_acolor']}; }#pdt_wrapper-{$pdt_id} .pdt-post-pagination,#pdt_wrapper-{$pdt_id} .pdt-load-more,#pdt_wrapper-{$pdt_id} .pdt-infinite-scroll-loader{ text-align: {$pagination_alignment};justify-content: {$pagination_alignment}; }#pdt_wrapper-{$pdt_id} .pdt-post-pagination .page-numbers, .pdt-post-pagination a{ background: {$pagination_btn_color['background']}; color:{$pagination_btn_color['text_color']}; border-color: {$pagination_btn_color['border_color']}; }#pdt_wrapper-{$pdt_id} .pdt-load-more button{ background: {$pdt_loadmore_btn_color['background']}; color: {$pdt_loadmore_btn_color['text_color']}; border:1px solid transparent; }#pdt_wrapper-{$pdt_id} .pdt-load-more button:hover{ background: {$pdt_loadmore_btn_color['active_background']}; color: {$pdt_loadmore_btn_color['text_hcolor']}; border:1px solid; cursor: pointer; }";

	$_pagination_border_radius  = isset( $view_options['pdt_pagination_btn_border_radius'] ) ? $view_options['pdt_pagination_btn_border_radius'] : array(
		'all'  => '0',
		'unit' => 'px',
	);
	$_pagination_margin_between = isset( $view_options['pdt_pagination_btn_margin_between'] ) ? $view_options['pdt_pagination_btn_margin_between'] : array(
		'all'  => '0',
		'unit' => 'px',
	);
	$custom_css                .= "#pdt_wrapper-{$pdt_id} .pdt-post-pagination .page-numbers, #pdt_wrapper-{$pdt_id} .pdt-post-pagination a{border-radius:{$_pagination_border_radius['all']}{$_pagination_border_radius['unit']};}";
	$custom_css                .= "#pdt_wrapper-{$pdt_id} .pdt-post-pagination .page-numbers, #pdt_wrapper-{$pdt_id} .pdt-post-pagination{gap:{$_pagination_margin_between['all']}px}";
}

// $index          = 0;
$filter_by      = isset($view_options['pdt_advanced_filter']) ? $view_options['pdt_advanced_filter'] : array();
$taxonomy_types = isset($view_options['pdt_filter_by_taxonomy']['pdt_taxonomy_and_terms']) && !empty($view_options['pdt_filter_by_taxonomy']['pdt_taxonomy_and_terms']) ? $view_options['pdt_filter_by_taxonomy']['pdt_taxonomy_and_terms'] : '';
if (is_array($taxonomy_types) && !empty($taxonomy_types) && is_array($filter_by) && in_array('taxonomy', $filter_by)) {
	foreach ($taxonomy_types as $tax_type) {
		$filter_options            = isset($tax_type['ajax_filter_options']) ? $tax_type['ajax_filter_options'] : '';
		$add_filter                = isset($tax_type['add_filter_post']) ? $tax_type['add_filter_post'] : '';
		$pdt_select_taxonomy       = isset($tax_type['pdt_select_taxonomy']) ? $tax_type['pdt_select_taxonomy'] : '';
		$pdt_filter_btn_color      = isset($filter_options['pdt_filter_btn_color']) ? $filter_options['pdt_filter_btn_color'] : array(
			'text_color'        => '#5e5e5e',
			'text_acolor'       => '#ffffff',
			'border_color'      => '#bbbbbb',
			'border_acolor'     => '#934899',
			'background'        => '#ffffff',
			'active_background' => '#934899',
		);
		$pdt_margin_between_button = isset($filter_options['pdt_margin_between_button']) ? $filter_options['pdt_margin_between_button'] : array(
			'top'    => '0',
			'right'  => '8',
			'bottom' => '8',
			'left'   => '0',
			'unit'   => 'px',
		);
		$ajax_filter_style         = isset($filter_options['ajax_filter_style']) ? $filter_options['ajax_filter_style'] : '';

		if ('fl_btn' === $ajax_filter_style && $add_filter) {
			if (!empty($pdt_filter_btn_color)) {
				$custom_css .= "
			#pdt_wrapper-{$pdt_id} .pdt-filter-bar .pdt-filter-by.pdt-bar.fl_button.filter-{$pdt_select_taxonomy} label{
				margin: {$pdt_margin_between_button['top']}px {$pdt_margin_between_button['right']}px  {$pdt_margin_between_button['bottom']}px {$pdt_margin_between_button['left']}px;
			}
			#pdt_wrapper-{$pdt_id} .pdt-filter-bar .pdt-filter-by.pdt-bar.fl_button.filter-{$pdt_select_taxonomy} input~div{
				background: {$pdt_filter_btn_color['background']};
				color: {$pdt_filter_btn_color['text_color']};
				border-color: {$pdt_filter_btn_color['border_color']};
			}
			#pdt_wrapper-{$pdt_id} .pdt-filter-bar .pdt-filter-by.pdt-bar.fl_button.filter-{$pdt_select_taxonomy} input:checked~div,
			.pdt-order-by.pdt-bar.fl-btn input:checked~div{
				color: {$pdt_filter_btn_color['text_acolor']};
				background: {$pdt_filter_btn_color['active_background']};
				border-color: {$pdt_filter_btn_color['border_acolor']};
			}
			#pdt_wrapper-{$pdt_id} .pdt-filter-bar .pdt-filter-by.pdt-bar.fl_button.filter-{$pdt_select_taxonomy} input:hover~div,
			.pdt-order-by.pdt-bar.fl-btn input:hover~div{
				color: {$pdt_filter_btn_color['text_acolor']};
				background: {$pdt_filter_btn_color['active_background']};
				border-color: {$pdt_filter_btn_color['border_acolor']};
			}";
			}
		}
	}
}

// Social Share.
$product_social_settings = $product_sorter['pdt_social_share'];
$social_margin        = isset($product_social_settings['social_margin']) ? $product_social_settings['social_margin'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '0',
	'left'   => '0',
);
$icon_custom_color    = isset($product_social_settings['social_icon_custom_color']) ? $product_social_settings['social_icon_custom_color'] : false;
$social_icon_color    = isset($product_social_settings['social_icon_color']) ? $product_social_settings['social_icon_color'] : array(
	'icon_color'        => '#ffffff',
	'icon_hover_color'  => '#ffffff',
	'icon_bg'           => '#934899',
	'icon_bg_hover'     => '#674399',
	'icon_border_hover' => '#674399',
);
$social_position      = isset($product_social_settings['social_position']) ? $product_social_settings['social_position'] : 'left';
if ( 'zigzag_layout' !== $layouts['pdt_layout_preset'] ) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify .productify__item__socail-share{text-align: {$social_position};}";
}
$custom_css .= "#pdt_wrapper-{$pdt_id} .productify .productify__item__socail-share{margin: {$social_margin['top']}px {$social_margin['right']}px {$social_margin['bottom']}px {$social_margin['left']}px;}#pdt_wrapper-{$pdt_id} .productify .productify__item__socail-share a.icon_only i{background: transparent;border: none;}"; // start from here.
if ($icon_custom_color) {
	$social_icon_color        = $product_social_settings['social_icon_color'];
	$social_icon_border       = $product_social_settings['social_icon_border'];
	$social_icon_border_width = (int) $social_icon_border['all'];
	$social_line_height       = 30 - ($social_icon_border_width * 2);
	$custom_css              .= "#pdt_wrapper-{$pdt_id} .productify .productify__item__socail-share a i{ color: {$social_icon_color['icon_color']}; line-height: {$social_line_height}px; background: {$social_icon_color['icon_bg']}; border: {$social_icon_border_width}px {$social_icon_border['style']} {$social_icon_border['color']}; } #pdt_wrapper-{$pdt_id} .productify .productify__item__socail-share a:hover i{ color: {$social_icon_color['icon_hover_color']}; background: {$social_icon_color['icon_bg_hover']}; border-color: {$social_icon_color['icon_border_hover']}; }";
}

// Color for Sort by ajax live filter's order button(ASC/DESC).
$pdt_order_options   = isset($view_options['pdt_filter_by_order']['order_filter_options']) && !empty($view_options['pdt_filter_by_order']['order_filter_options']) ? $view_options['pdt_filter_by_order']['order_filter_options'] : '';
$pdt_order_btn_color = isset($pdt_order_options['pdt_order_filter_button_color']) ? $pdt_order_options['pdt_order_filter_button_color'] : array(
	'text_color'        => '#5e5e5e',
	'text_acolor'       => '#ffffff',
	'border_color'      => '#bbbbbb',
	'border_acolor'     => '#934899',
	'background'        => '#ffffff',
	'active_background' => '#934899',
);
if (!empty($pdt_order_btn_color)) {
	$custom_css .= "
		#pdt_wrapper-{$pdt_id} .pdt_ex_filter_bar .pdt-order.pdt-bar.fl-btn input~div { background: {$pdt_order_btn_color['background']};
		color:{$pdt_order_btn_color['text_color']}; border-color: {$pdt_order_btn_color['border_color']}; }
		#pdt_wrapper-{$pdt_id} .pdt_ex_filter_bar .pdt-order.pdt-bar.fl-btn input:checked~div{ color: {$pdt_order_btn_color['text_acolor']}; background: {$pdt_order_btn_color['active_background']}; border-color: {$pdt_order_btn_color['border_acolor']}; }
		#pdt_wrapper-{$pdt_id} .pdt_ex_filter_bar .pdt-order.pdt-bar.fl-btn input:hover~div{ color: {$pdt_order_btn_color['text_acolor']}; background: {$pdt_order_btn_color['active_background']}; border-color: {$pdt_order_btn_color['border_acolor']}; }";
}

// Filter Settings.
$filer_btn_bg            = isset($view_options['pdt_filer_btn_bg']) ? $view_options['pdt_filer_btn_bg'] : array(
	'text_color'        => '#444444',
	'text_acolor'       => '#ffffff',
	'border_color'      => '#bbbbbb',
	'border_acolor'     => '#934899',
	'background'        => 'transparent',
	'active-background' => '#934899',
);
$margin_between_button   = isset($view_options['pdt_margin_between_button']) ? $view_options['pdt_margin_between_button'] : array(
	'top'    => '0',
	'right'  => '8',
	'bottom' => '8',
	'left'   => '0',
	'unit'   => 'px',
);
$margin_between_taxonomy = isset($view_options['pdt_margin_between_taxonomy']) ? $view_options['pdt_margin_between_taxonomy'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '30',
	'left'   => '0',
	'unit'   => 'px',
);

// Responsive.
$custom_css .= ' @media (max-width: 768px) {';
if ($show_section_title) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .pdt-section-title{ font-size: {$_section_title_typography['tablet-font-size']}px; line-height: {$_section_title_typography['tablet-line-height']}px; }";
}
if ($show_post_title) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--title a{ font-size: {$_post_title_typography['tablet-font-size']}px; line-height: {$_post_title_typography['tablet-line-height']}px; }";
}
if ($show_post_content) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item__content, #pdt_wrapper-{$pdt_id} .productify__item__content p{ font-size: {$_post_content_typography['tablet-font-size']}px; line-height: {$_post_content_typography['tablet-line-height']}px; }";
}
// Post ReadMore Settings.

$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--meta li, #pdt_wrapper-{$pdt_id} .productify__item--meta li a { font-size: {$_post_meta_typography['tablet-font-size']}px; line-height: {$_post_meta_typography['tablet-line-height']}px; } } @media (max-width: 420px) {";

if ($show_section_title) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .pdt-section-title{ font-size: {$_section_title_typography['mobile-font-size']}px; line-height: {$_section_title_typography['mobile-line-height']}px; }";
}
if ($show_post_title) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--title a{ font-size: {$_post_title_typography['mobile-font-size']}px; line-height: {$_post_title_typography['mobile-line-height']}px; }";
}
if ($show_post_content) {
	$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item__content, #pdt_wrapper-{$pdt_id} .productify__item__content p{ font-size: {$_post_content_typography['mobile-font-size']}px; line-height: {$_post_content_typography['mobile-line-height']}px; }";
}
$custom_css .= "#pdt_wrapper-{$pdt_id} .productify__item--meta li, #pdt_wrapper-{$pdt_id} .productify__item--meta li a{ font-size: {$_post_meta_typography['mobile-font-size']}px; line-height: {$_post_meta_typography['mobile-line-height']}px; } }";

$pdt_product_rating  = isset($product_sorter['pdt_product_rating']) ? $product_sorter['pdt_product_rating'] : '';
$product_rating_colors  = isset($pdt_product_rating['product_rating_colors']) ? $pdt_product_rating['product_rating_colors'] : '';
$rating_colors  = isset($pdt_product_rating['color']) ? $pdt_product_rating['color'] : '#F4C100';
$empty_rating_color  = isset($pdt_product_rating['empty_color']) ? $pdt_product_rating['empty_color'] : '#C8C8C8';
$product_rating_position      = isset($pdt_product_rating['product_rating_position']) ? $pdt_product_rating['product_rating_position'] : 'left';
$product_rating_margin = isset($pdt_product_rating['product_rating_margin']) ? $pdt_product_rating['product_rating_margin'] : array(
	'top'    => '0',
	'right'  => '0',
	'bottom' => '15',
	'left'   => '0',
);
$custom_css .= "#pdt_wrapper-{$pdt_id} .productify .productify_item_rating {margin: {$product_rating_margin['top']}px {$product_rating_margin['right']}px {$product_rating_margin['bottom']}px {$product_rating_margin['left']}px;justify-content: {$product_rating_position};}; #pdt_wrapper-{$pdt_id} .productify .productify_item_rating .star-rating:before{color: {$empty_rating_color}} #pdt_wrapper-{$pdt_id} .productify .productify_item_rating .star-rating span{color: {$rating_colors}}";
