<?php

/**
 * Thumb taxonomy
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/item/over-thumb-taxonomy.php
 *
 * @package    Productify_Pro
 * @subpackage Productify_Pro/public
 */
?>
<div class="productify__item--archive <?php echo esc_attr( $product_thumb_meta_position ); ?>">
	<?php
	$start_tag      = $is_table ? '<td>' : '<li>';
	$end_tag        = $is_table ? '</td>' : '</li>';
	$meta_tag_start = apply_filters( 'pdt_product_meta_html_tag_start', $start_tag );
	$meta_tag_end   = apply_filters( 'pdt_product_meta_html_tag_end', $end_tag );


	echo wp_kses_post( $meta_tag_start );
	if ( 'default' === $meta_date_format ) {
		$product_date = esc_html( date_i18n( get_option( 'date_format' ), strtotime( get_the_date('d-m-Y', $product->get_id()) ) ) );
	} elseif ( 'time_ago' === $meta_date_format ) {
		$product_date = human_time_diff( date_i18n( 'U', strtotime( get_the_date('d-m-Y', $product->get_id()) ) ), current_time( 'timestamp' ) ) . esc_html__( ' ago', 'productify-pro' );
	} elseif ( 'custom' === $meta_date_format ) {
		$product_date = esc_html( date_i18n( $custom_date_format, strtotime( get_the_date('d-m-Y', $product->get_id()) ) ) );
	}
	?>
	<time class="entry-date published updated"><?php echo wp_kses_post( $product_date ); ?></time>
	<?php
	echo wp_kses_post( $meta_tag_end );
	?>
</div>
