<?php

/**
 * Item thumbnail
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/item/thumbnail.php
 *
 * @package    Productify_Pro
 * @subpackage Productify_Pro/public
 */

$lazy_load = isset( $_post_thumb_setting['pdt_img_lazy_load'] ) ? $_post_thumb_setting['pdt_img_lazy_load'] : true;
$lazy_load = apply_filters( 'pdt_img_lazy_load', $lazy_load );

if ( 'carousel_layout' !== $layout && $lazy_load && ! is_admin() ) {

	wp_enqueue_script( 'pdt-lazy' );
	$image = sprintf( '<img data-pdt_src="%1$s" %5$s class="pdt-lazyload" width="%2$s"  height="%3$s" alt="%4$s">', $thumb_url, $pdt_image_attr['width'], $pdt_image_attr['height'], $alter_text, $retina_img_attr );

} else {

	$image = sprintf( '<img %5$s src="%1$s" width="%2$s" height="%3$s" alt="%4$s">', $thumb_url, $pdt_image_attr['width'], $pdt_image_attr['height'], $alter_text, $retina_img_attr );
}



?>
<div class="productify__item--thumbnail">
	<?php if ( 'none' === $pdt_page_link_type ) { ?>
		<a class="ta-pdt-thumb" aria-label="<?php echo esc_attr( $pdt_image_attr['aria_label'] ); ?>" <?php echo esc_attr( $pdt_link_rel_text ); ?>>
		<?php } else { ?>
			<a class="ta-pdt-thumb" aria-label="<?php echo esc_attr( $pdt_image_attr['aria_label'] ); ?>" href="<?php the_permalink( $product->get_id() ); ?>" target="<?php echo esc_attr( $pdt_link_target ); ?>" <?php echo esc_attr( $pdt_link_rel_text ); ?>>
			<?php
		}
		if ( empty( $pdt_image_attr['video'] ) && empty( $pdt_image_attr['audio'] ) ) {
			echo $image;
		} elseif ( $pdt_image_attr['video'] ) {
			?>
				<div class='ta-pdt-post-video-thumb-area'><?php echo $pdt_image_attr['video']; ?></div>
			<?php
		} elseif ( $pdt_image_attr['audio'] ) {
			?>
				<div class='ta-pdt-post-audio-thumb-area'><?php echo $pdt_image_attr['audio']; ?></div>
			<?php } ?>
			</a>
			<?php

			// Taxonomy terms over thumbnail.
			self::over_thumb_meta_taxonomy( $product_meta_fields, $show_post_meta, $product );

			if ( $product_thumb_meta == 'category' ) {
				ob_start();
				echo wp_kses( $td['start'], $allow_tag );
				include PDT_Functions::pdt_locate_template( 'item/post-thumb-taxonomy.php' );
				echo wp_kses( $td['end'], $allow_tag );
				$item_thumb = apply_filters( 'pdt_thumb_taxonomy', ob_get_clean() );
				echo $item_thumb;
			} elseif ( $product_thumb_meta == 'date' ) {
				ob_start();
				echo wp_kses( $td['start'], $allow_tag );
				include PDT_Functions::pdt_locate_template( 'item/post-thumb-date.php' );
				echo wp_kses( $td['end'], $allow_tag );
				$item_thumb = apply_filters( 'pdt_thumb_archive', ob_get_clean() );
				echo $item_thumb;
			} elseif ( $product_thumb_meta == 'on_sale' ) {
				ob_start();
				echo wp_kses( $td['start'], $allow_tag );
				include PDT_Functions::pdt_locate_template( 'item/post-thumb-on-sale.php' );
				echo wp_kses( $td['end'], $allow_tag );
				$item_thumb = apply_filters( 'pdt_thumb_archive', ob_get_clean() );
				echo $item_thumb;
			}
			?>

</div>
