<?php
/**
 * Pagination display provider
 *
 * This template can be overridden by copying it to yourtheme/productify-pro/templates/pagination.php
 *
 * @package    Productify_pro
 * @subpackage Productify_pro/public
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $show_pagination && ! $pdt_query->is_main_query() ) {
	// Paged argument.
	if ( get_query_var( 'paged' ) ) {
		$pdt_paged = get_query_var( 'paged' );
	} elseif ( get_query_var( 'page' ) ) {
		$pdt_paged = get_query_var( 'page' );
	} else {
		$pdt_paged = 1;
	}
	$load_more_button_text    = isset( $view_options['load_more_button_text'] ) ? $view_options['load_more_button_text'] : 'Load More';
	$load_more_ending_message = isset( $view_options['load_more_ending_message'] ) ? $view_options['load_more_ending_message'] : 'No more products available';
	?>
	<span class="ta-pdt-pagination-data" style="display:none;" data-loadmoretext="<?php echo esc_attr( $load_more_button_text ); ?>" data-endingtext="<?php echo esc_attr( $load_more_ending_message ); ?>"></span>

		<nav class="pdt-post-pagination pdt-on-desktop <?php echo esc_attr( $pagination_type ); ?>">
		<?php PDT_HTML::pdt_pagination_bar( $pdt_query, $view_options, $layout, $pdt_gl_id, $pdt_paged ); ?>
		</nav>
		<?php if ( 'filter_layout' !== $layout_preset ) { ?>
			<nav class="pdt-post-pagination pdt-on-mobile <?php echo esc_attr( $pagination_type_mobile ); ?>">
				<?php PDT_HTML::pdt_pagination_bar( $pdt_query, $view_options, $layout, $pdt_gl_id, $pdt_paged, 'on_mobile' ); ?>
			</nav>
			<?php
		}
		?>
	<?php
}
?>
